<?php

/**
 * Football Manager for JohnCMS
 * Просмотр информации о клубе. Управление клубом (Для владельца)
 * @author Screamer
 */

defined('_IN_JOHNCMS') or die('Restricted access');

$club = mysql_fetch_assoc(mysql_query("SELECT * FROM `man_clubs` WHERE `id` = '" . $id . "'"));

if (is_array($club)) {
	$club['name'] = htmlentities($club['name'], ENT_QUOTES, 'UTF-8');
	$textl = $club['name'];
}

require '../incfiles/head.php';

if ($club) {
	// Флаг доступа к управлению клубом
	$access = ($club['umod'] == 1 && $club['uid'] == core::$user_id) ? TRUE : FALSE;
	// Эмблема
	$logo = is_file('./files/emblems/' . $id . '.jpg')
		? '<img src="' . core::$system_set['homeurl'] . '/manager/files/emblems/' . $id . '.jpg" alt="." /><br />'
		: '';
	// Состав
	$players = '<div class="phdr"><b>Состав</b></div>';
	$query = mysql_query("SELECT `id`, `name`, `country`, `amplua` FROM `man_players` WHERE `refid` = '" . $id . "'");
	$i = 0;
	while ($player = mysql_fetch_assoc($query)) {
		$players .= '<div class="list' . ($i % 2 ? '2' : '1') . '">'
		          . '<a href="?act=player&amp;id=' . $player['id'] . '">'
				  . htmlentities($player['name'], ENT_QUOTES, 'UTF-8') . '</a><br />'
				  . '<div class="sub">Страна: ' . htmlentities($player['country'], ENT_QUOTES, 'UTF-8')
		          . '<br />Позиция: ' . htmlentities($player['amplua'], ENT_QUOTES, 'UTF-8')
				  . '</div></div>';
		$i++;
	}
	// Менеджер
	if ($club['uid'] == core::$user_id) {
		$manager = htmlentities(core::$user_data['name']);
	} elseif ($club['uid'] != 0) {
		$get_manager = mysql_fetch_assoc(mysql_query("SELECT `id`, `name` FROM `users` WHERE `id` = '" . $club['uid'] . "'"));
		$manager = $get_manager
			? '<a href="' . core::$system_set['homeurl'] . '/users/profile.php?user=' . $get_manager['id'] . '">'
				. htmlentities($get_manager['name'], ENT_QUOTES, 'UTF-8') . '</a>'
			: '';
	} else {
		$user_free = mysql_result(mysql_query("SELECT COUNT(*) FROM `man_clubs` WHERE `uid` = '" . core::$user_id . "'"), 0);
		$manager = 'Клуб свободен. '
			. (!$user_free ? '<a href="?act=get_club&amp;id=' . $id . '">Подать заявку</a>' : '');
	}
	// Общая информация
	echo '<div class="phdr"><a href="?"><b>Футбольный менеджер</b></a> | ' . $club['name'] . '</div>'
		. ($club['umod'] == 0 && core::$user_id == $club['uid']
			? '<div class="rmenu">Вы не можете управлять клубом. Ожидайте подтверждения заявки.</div>'
		: '')
		. '<div class="gmenu">' . $logo
		. '<b>Клуб:</b> ' . $club['name'] . '<br />'
		. '<b>Менеджер клуба: </b>' . $manager . '<br />'
		. '<b>Страна:</b> ' . htmlentities($club['country'], ENT_QUOTES, 'UTF-8') . '<br />'
		. '<b>Город:</b> ' . htmlentities($club['city'], ENT_QUOTES, 'UTF-8') . '<br />'
		. '<b>Стадион:</b> ' . htmlentities($club['stadium_name'], ENT_QUOTES, 'UTF-8')
		. ' (' . intval($club['stadium_size']) . ' тыс. чел.)'
		. '</div>' . $players
		. '<div class="phdr"><a href="' . $referer . '">Назад</a></div>';
} else {
	echo Functions::display_error('Такого клуба не существует.', '<a href="?">Назад</a>');
}

require '../incfiles/end.php';